/******************************************************************************

                  版权所有 (C), 2019-2039, 深圳前海维晟智能技术有限公司

 ******************************************************************************
  文 件 名   : system_sleep.h
  版 本 号   : 初始版本
  作    者   : QingYang
  生成日期   : 2020年1月16日
  最近修改   :
  功能描述   : system_sleep.c 的头文件
  函数列表   :
  修改历史   :
  1.日    期   : 2020年1月16日
    作    者   : QingYang
    修改内容   : 创建文件

******************************************************************************/

#ifndef __SYSTEM_SLEEP_H__
#define __SYSTEM_SLEEP_H__


#ifdef __cplusplus
#if __cplusplus
extern "C"{
#endif
#endif /* __cplusplus */

extern void low_power_sleep(void);
extern void enter_standbye_deepsleep(deep_sleep_retain type);
extern void low_power_sleep_config_ex(deep_sleep_retain retain,uint8_t type);
extern void low_power_type_config_ex(uint32_t retention_sram,uint8_t type);
extern void set_gpio_wake_deepsleep(irq_bank start,uint32_t pins_map);
extern void setup_gpio_wake_irq(irq_bank start,uint32_t pins_map,gpio_irq_type type);
extern void setup_gpio_irq(irq_bank start,uint32_t pins_map,gpio_irq_type type);
extern void cmd_goto_standbye_prepare(void);
extern void low_power_sleep_config( void );

#ifdef __cplusplus
#if __cplusplus
}
#endif
#endif /* __cplusplus */


#endif /* __SYSTEM_SLEEP_H__ */
